﻿<#
This script imports the self-signed certificate and put it into the trusted root 
certificate store for the current user. This is helpful because it means that 
1) your web browsers (IE, Chrome, Edge, etc) will trust the self-signed certificate and
2) Git will be happy and trust the cert if you're using 'schannel'.

Run this on any workstation or build server that needs to talk to 
a Git repo with a self-signed certificate. 

Benjamin Day
https://www.benday.com
benday@benday.com
#>

$certFile = "$PSScriptRoot\exported-from-tfs.cer"

Import-Certificate -FilePath $certFile -CertStoreLocation Cert:\CurrentUser\Root