<#
This script configures Git so that it trusts the trusts the self-signed
cert using OpenSSL.  It takes the ca-bundle.crt that is used by Git on
Windows, copies it to your user profile directory, modifies your 
.gitconfig to use this new custom certificate store, and then adds 
the self-signed cert to the custom certificate store.  

Run this on any workstation or build server that needs to talk to 
a Git repo with a self-signed certificate. 

As of 12/15/2017, this is NOT required if you use 'schannel' with Git 
on the command line but it *IS* required for using Git via Visual Studio.  

Benjamin Day
https://www.benday.com
benday@benday.com
#>

$newline = "`r`n"

copy "C:\Program Files\Git\usr\ssl\certs\ca-bundle.crt" $env:USERPROFILE

$certFileForGitConfig = "$PSScriptRoot\exported-from-tfs-for-gitconfig.txt"
 
$content = [IO.File]::ReadAllText($certFileForGitConfig)

& .\unix2dos.exe "${env:USERPROFILE}\ca-bundle.crt"

Add-Content "${env:USERPROFILE}\ca-bundle.crt" $newline
Add-Content "${env:USERPROFILE}\ca-bundle.crt" $content

$forwardSlashedPathToCaBundleCrt = "c:/users/${env:username}/ca-bundle.crt"

& git config --global http.sslCAInfo $forwardSlashedPathToCaBundleCrt